//
//  ViewController.m
//  BundleUse
//
//  Created by dev on 10/05/07.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "ViewController.h"


@implementation ViewController

- (IBAction)action:(id)sender {
	
	NSString *resourceFolderPath = [[NSBundle mainBundle] resourcePath];
	NSString *pluginPath = [resourceFolderPath stringByAppendingPathComponent:@"BundleTest.bundle"];
    NSBundle *pluginBundle = [NSBundle bundleWithPath:pluginPath];

	Class factoryClass = [pluginBundle classNamed:@"PythonFactory"];
	id factory = [[factoryClass alloc] init];
	id pythonObject = [factory getInstance];
	
    NSString *s1 = [stringField1 stringValue]; 
    NSString *s2 = [stringField2 stringValue]; 	
	
	NSString *result = [pythonObject stringTest:[s1 UTF8String] str2:[s2 UTF8String] intNumber:1];
	NSLog(result);
	
    [stringField3 setStringValue:result]; 
    [stringField1 selectText:self]; 
	[factory release];
}

@end
